{
    attributes = (
        {
            columnName = EENT_KEY; 
            externalType = NUMBER; 
            name = eentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAT_COLONNE1; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = EMAT_FAUX; }; 
            name = ematColonne1; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAT_COLONNE2; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = EMAT_VRAI; }; 
            name = ematColonne2; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAT_COLONNE3; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = EMAT_FAUX; }; 
            name = ematColonne3; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAT_COLONNE4; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = EMAT_VRAI; }; 
            name = ematColonne4; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }, 
        {
            columnName = EMAT_KEY; 
            externalType = NUMBER; 
            name = ematKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = EMAT_LIGNE; 
            externalType = NUMBER; 
            name = ematLigne; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = EMAT_RIEN; 
            externalType = NUMBER; 
            name = ematRien; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
        }
    ); 
    attributesUsedForLocking = (ematKey); 
    className = EOGenericRecord; 
    classProperties = (
        ematKey, 
        eentKey, 
        ematLigne, 
        ematColonne2, 
        ematColonne1, 
        ematRien, 
        toScolExamenEntete, 
        ematColonne3, 
        ematColonne4
    ); 
    externalName = SCOL_EXAMEN_MATRICE; 
    fetchSpecificationDictionary = {}; 
    name = ScolExamenMatrice; 
    primaryKeyAttributes = (ematKey); 
    relationships = (
        {
            destination = ScolExamenEntete; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = eentKey; sourceAttribute = eentKey; }); 
            name = toScolExamenEntete; 
        }
    ); 
}
